Search documentation of wx

# wxTextEntryDialog (wx v2.4.3.1)

View Source

This class represents a dialog that requests a one-line text string from the user.

It is implemented as a generic wxWidgets dialog.

See: Overview cmndlg

This class is derived, and can use functions, from:

- `wxDialog`

- `wxTopLevelWindow`

- `wxWindow`

- `wxEvtHandler`

wxWidgets docs: wxTextEntryDialog

# Summary

## Types

wxTextEntryDialog()

## Functions

destroy(This)

Destroys the object

getValue(This)

Returns the text that the user has entered if the user has pressed OK, or the original value if the user has pressed Cancel.

new()

Default constructor.

new(Parent, Message)

Equivalent to `new(Parent, Message, [])`.

new/3

Constructor.

setValue(This, Value)

Sets the default text value.

# Types

# wxTextEntryDialog()

    -type wxTextEntryDialog() :: wx:wx_object().

# Functions

# destroy(This)

    -spec destroy(This :: wxTextEntryDialog()) -> ok.

Destroys the object

# getValue(This)

    -spec getValue(This) -> unicode:charlist() when This :: wxTextEntryDialog().

Returns the text that the user has entered if the user has pressed OK, or the original value if the user has pressed Cancel.

# new()

    -spec new() -> wxTextEntryDialog().

Default constructor.

Call `Create()` (not implemented in wx) to really create the dialog later.

Since: 2.9.5

# new(Parent, Message)

    -spec new(Parent, Message) -> wxTextEntryDialog()
                 when Parent :: wxWindow:wxWindow(), Message :: unicode:chardata().

Equivalent to `new(Parent, Message, [])`.

# new/3

    -spec new(Parent, Message, [Option]) -> wxTextEntryDialog()
                 when
                     Parent :: wxWindow:wxWindow(),
                     Message :: unicode:chardata(),
                     Option ::
                         {caption, unicode:chardata()} |
                         {value, unicode:chardata()} |
                         {style, integer()} |
                         {pos, {X :: integer(), Y :: integer()}}.

Constructor.

Use `wxDialog:showModal/1` to show the dialog.

See `Create()` (not implemented in wx) method for parameter description.

# setValue(This, Value)

    -spec setValue(This, Value) -> ok when This :: wxTextEntryDialog(), Value :: unicode:chardata().

Sets the default text value.